# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::Peering::Mgmt::V2019_08_01_preview
  module Models
    #
    # The essential information related to the peer's ASN.
    #
    class PeerAsn < Resource

      include MsRestAzure

      # @return [Integer] The Autonomous System Number (ASN) of the peer.
      attr_accessor :peer_asn

      # @return [ContactInfo] The contact information of the peer.
      attr_accessor :peer_contact_info

      # @return [String] The name of the peer.
      attr_accessor :peer_name

      # @return [ValidationState] The validation state of the ASN associated
      # with the peer. Possible values include: 'None', 'Pending', 'Approved',
      # 'Failed'
      attr_accessor :validation_state


      #
      # Mapper for PeerAsn class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'PeerAsn',
          type: {
            name: 'Composite',
            class_name: 'PeerAsn',
            model_properties: {
              name: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'name',
                type: {
                  name: 'String'
                }
              },
              id: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'id',
                type: {
                  name: 'String'
                }
              },
              type: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'type',
                type: {
                  name: 'String'
                }
              },
              peer_asn: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.peerAsn',
                type: {
                  name: 'Number'
                }
              },
              peer_contact_info: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.peerContactInfo',
                type: {
                  name: 'Composite',
                  class_name: 'ContactInfo'
                }
              },
              peer_name: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.peerName',
                type: {
                  name: 'String'
                }
              },
              validation_state: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.validationState',
                type: {
                  name: 'String'
                }
              }
            }
          }
        }
      end
    end
  end
end
